
CoCoALib - Bug #1380

Make IsZeroDim more robust

27 Dec 2019 15:29 - John Abbott

Status: Closed Start date: 27 Dec 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Improving Estimated time: 1.11 hour

Target version: CoCoALib-0.99700 Spent time: 1.15 hour

Description

Currently IsZeroDim  and the impl via IamZeroDim  require the original ideal to have a minimal GB.

However, some functions (e.g. GBasisByHomog) can produce an ideal whose GB is not minimal.

Change impl of IamZeroDim so that it works even if the GB already memorized is not minimal.

Related issues:

Related to CoCoALib - Bug #1379: Fails to recognize zero-dim ideal Closed 27 Dec 2019

History

#1 - 27 Dec 2019 15:29 - John Abbott

- Related to Bug #1379: Fails to recognize zero-dim ideal added

#2 - 27 Dec 2019 15:31 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 50

I have written a first impl; with this impl, the problem case in issue #1379 works (well, it does not give NYI).

I'll discuss with Anna, whether my impl is reasonable.

Not yet checked in...

#3 - 28 Dec 2019 18:49 - John Abbott

- Assignee set to John Abbott

- % Done changed from 50 to 90

- Estimated time set to 1.11 h

I have made a new version of IamZeroDim which works with any GB -- no longer needs a minGB.

All tests pass.  Checking in in a few mins.

#4 - 28 Dec 2019 18:50 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99700

#5 - 28 Dec 2019 18:58 - John Abbott

- Status changed from In Progress to Feedback

#6 - 10 Jan 2020 12:29 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
